/**
 * Authors: Frank Benoit <keinfarbton@googlemail.com>
 */
module dwt.dwthelper.utils;

public import dwt.dwthelper.System;

import tango.io.Stdout;
import tango.stdc.stdlib : exit;

void implMissing( char[] file, uint line ){
    Stderr.formatln( "implementation missing in file {} line {}", file, line );
    Stderr.formatln( "exiting ..." );
    exit(1);
}

abstract class ArrayWrapper{
}

class ArrayWrapperT(T) : ArrayWrapper {
    T[] array;
}

alias ArrayWrapperT!(int)    ArrayWrapperInt;
alias ArrayWrapperT!(Object) ArrayWrapperObject;




